领一淘200元补贴卡+18元立减券的步骤 打开一淘App,粘贴在搜索栏里点搜索会直达领福利页面领取福利

如何解决升级到WordPress 5.x后导致部分js功能失效

有些朋友可能会发现,升级到WordPress 5.5以后,网站的某些功能不正常了,通过浏览器调试工具查看,会发现一些js报错,比如 提示js函数 .live 不存在之类的。

WordPress 5.5删除了jQuery Migrate1.x。对于使用jQuery的开发人员来说,这是一个问题。如果使用jQuery,请确保您不依赖jQuery Migrate 1.x单独提供的任何功能。

也就是说,有些主题或插件使用了比较老旧的jQuery函数,以前一直都采用jQuery Migrate1.x做兼容处理的,但是现在WordPress 5.5+ 默认禁用了这个兼容库,所以就出现问题了。

如何解决升级到WordPress 5.x后导致部分js功能失效-歪迪资源屋

对于开发者来说,应该尽快更新自己的产品代码,尽可能使用新的jQuery函数。解除对jQuery Migrate1.x的依赖。开发者指南

对于大多数的普通用户来说,肯定是无法去自己修改代码做兼容处理的,怎么办?

其实WordPress官方团队早就想到了这个问题,专门开发了一个小插件 Enable jQuery Migrate Helper,只需要安装和启用插件,就可以继续加载 jQuery Migrate1.x,让你的网站避免出现js错误。

不过,建议普通用户可以联系一下主题和插件作者,提醒他们更新代码,这样才是最好的做法。

与本文相关的福利:

这篇文章如果帮到了你
本站推荐使用的主机:阿里云腾讯云 搜一下 获取更多 点击获取更多相关资源
文章名称:《 如何解决升级到WordPress 5.x后导致部分js功能失效
文章链接:https://www.53431.com/wordpresscat/6185.html
如果文章内容或图片资源失效或者您对文章有异议,请留言反馈或点击右下角邮件图标发送邮件说明情况,我们会及时处理,谢谢!
0撸可提现活动 必参与
增加友情链接,发送你站点信息到:waidiziyuan@qq.com 同时做好本站链接

觉得文章有用就打赏一下文章作者

非常感谢你的打赏支持,我们将继续给力更多优质内容,让我们一起创建更加美好的网络世界!

微信扫一扫打赏

微信扫一扫打赏